%define oname dbus
%define lib_major 0
%define lib_api 1
%define lib_name %mklibname dbus- %{lib_api} %{lib_major}
%define lib_glib %mklibname dbus-glib- %{lib_api} %{lib_major}
Summary: D-BUS message bus C# bindings for mono
Name: dbus-sharp
Version: 0.22
Release: 2mdk
URL: http://www.freedesktop.org/Software/dbus/
Source0: http://freedesktop.org/Software/dbus/%{oname}-%{version}.tar.bz2
# (fc) 0.20-1mdk fix lock directory location and start/stop order
Patch0: dbus-0.20-lockdir.patch.bz2
# (fc) 0.22-1mdk add console policy
Patch1: dbus-0.22-console-auth.patch.bz2
Patch2:	dbus-0.22-destdir.patch.bz2
License: AFL/GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: qt3-devel    >= %{qt_version}
BuildRequires: python-devel
BuildRequires: gtk-sharp-devel
BuildRequires: mono-devel
BuildRequires: monodoc
BuildRequires: pyrex >= 0.9
BuildRequires: automake1.7
Requires: %lib_name >= %version
Requires: %lib_glib >= %version
Requires: monodoc

%description
D-BUS is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

This package provides the C# bindings for using D-BUS from mono.


%prep
%setup -q -n %oname-%version
%patch0 -p1 -b .lockdir
%patch1 -p1 -b .console
%patch2 -p1

#needed by patch0
aclocal-1.7
automake-1.7

%build

#gw so we can find moc
export PATH=%_libdir/qt3/bin:$PATH
%configure2_5x --enable-mono --enable-mono-docs --disable-tests --disable-verbose-mode --disable-asserts --with-system-pid-file=%{_var}/run/messagebus.pid --with-system-socket=%{_var}/run/dbus/system_dbus_socket --with-session-socket-dir=/tmp
make

make check

%install
rm -rf %{buildroot}
mkdir -p %buildroot`monodoc --get-sourcesdir`
%makeinstall_std

#remove unpackaged files
rm -rf %buildroot{%_sysconfdir/,%_includedir,%_bindir,%_mandir}
rm -rf %buildroot%_libdir/{lib*,python*,pkgconfig/{dbus-1.pc,dbus-glib-1.pc},dbus-*}

%clean
rm -rf %{buildroot}

%post
%_bindir/monodoc --make-index > /dev/null

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%_libdir/mono/dbus-sharp/
%_libdir/mono/gac/dbus-sharp/
%_libdir/monodoc/sources/dbus-sharp*
%{_libdir}/pkgconfig/dbus-sharp.pc

%changelog
* Tue Sep 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-2mdk
- fix buildrequires

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-1mdk
- split from dbus source rpm

* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-1mdk
- Release 0.22
- Remove patch1 (merged upstream)
- enable libtoolize 
- Patch1 (Fedora): add console policy

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-4mdk
- Update patch 20 to change start order (should fix bluetooth daemon start)

* Wed Jun 16 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.21-3mdk
- add docs to -devel, dbus-monitor fixes from cvs (patch1)

* Fri Jun  4 2004 Laurent Montel <lmontel@mandrakesoft.com> 0.21-2mdk
- Rebuild

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.21-1mdk
- fix qt build
- drop merged patch 1
- fix URL
- new version

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.20-7mdk
- fix buildrequires

* Thu Jan 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-6mdk
- Don't package .la, since we are moving some lib to %{_lib}

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-5mdk
- Enable python bindings
- Patch1 (CVS): fix python signals

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-4mdk
- Add missing deps in devel package

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-3mdk
- Move dbus shared library to %{_lib}, needed for hotplug script (Mdk bug 7053)

* Wed Jan 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-2mdk
- Fix session socket directory location

* Mon Jan 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-1mdk
- Initial Mdk package
- Patch0: fix lock directory location

* Thu Oct 16 2003 Havoc Pennington <hp@redhat.com> 0.13-6
- hmm, dbus doesn't support uids in the config file. fix.

* Thu Oct 16 2003 Havoc Pennington <hp@redhat.com> 0.13-5
- put uid instead of username in the config file, to keep things working with name change

* Thu Oct 16 2003 Havoc Pennington <hp@redhat.com> 0.13-4
- make subpackages require the specific release, not just version, of base package

* Thu Oct 16 2003 Havoc Pennington <hp@redhat.com> 0.13-3
- change system user "messagebus" -> "dbus" to be under 8 chars

* Mon Sep 29 2003 Havoc Pennington <hp@redhat.com> 0.13-2
- see if removing qt subpackage for now will get us through the build system,
  qt bindings not useful yet anyway

* Sun Sep 28 2003 Havoc Pennington <hp@redhat.com> 0.13-1
- 0.13 fixes a little security oops

* Mon Aug  4 2003 Havoc Pennington <hp@redhat.com> 0.11.91-3
- break the tiny dbus-launch that depends on X into separate package
  so a CUPS server doesn't need X installed

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 17 2003 Havoc Pennington <hp@redhat.com> 0.11.91-1
- 0.11.91 cvs snap properly merges system.d

* Fri May 16 2003 Havoc Pennington <hp@redhat.com> 0.11.90-1
- build a cvs snap with a few more fixes

* Fri May 16 2003 Havoc Pennington <hp@redhat.com> 0.11-2
- fix a crash that was breaking cups

* Thu May 15 2003 Havoc Pennington <hp@redhat.com> 0.11-1
- 0.11

* Thu May 15 2003 Havoc Pennington <hp@redhat.com> 0.10.90-1
- use rc.d/init.d not init.d, bug #90192
- include the new man pages

* Fri Apr 11 2003 Havoc Pennington <hp@redhat.com> 0.9-1
- 0.9
- export QTDIR explicitly
- re-enable qt, the problem was most likely D-BUS configure

* Tue Apr  1 2003 Havoc Pennington <hp@redhat.com> 0.6.94-1
- update from CVS with a fix to set uid after gid

* Tue Apr  1 2003 Havoc Pennington <hp@redhat.com> 0.6.93-1
- new cvs snap that actually forks to background and changes 
  user it's running as and so forth
- create our system user in pre

* Mon Mar 31 2003 Havoc Pennington <hp@redhat.com> 0.6.92-1
- fix for "make check" test that required a home directory

* Mon Mar 31 2003 Havoc Pennington <hp@redhat.com> 0.6.91-1
- disable qt for now because beehive hates me
- pull a slightly newer cvs snap that creates socket directory
- cat the make check log after make check fails

* Mon Mar 31 2003 Havoc Pennington <hp@redhat.com> 0.6.90-1
- initial build

